Metafunction
GetValue
Type for reading values.
GetValue<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Type of container that holds a value. Types: Align, Gaps, Iter, Journaled String, Proxy, SeedSet, Segment, std::basic_string, std::list, std::vector, thrust::device_vector, UnionFind

Remarks
Depending on T, the GetValue-type can either be Value<T>::Type & or Value<T>::Type.
Return Values

Type | GetValue type of T.

Member of
SeedSet, std::basic_string, Journaled String, thrust::device_vector, Iter, Gaps, Proxy, std::vector, Segment, UnionFind, std::list
Part of Concept
Container, IteratorAssociatedTypesConcept
See Also
Reference, Value, getValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59